Summary: GNOME user file sharing
Name: gnome-user-share
Version: 0.31
Release: %mkrel 2
License: GPL
Group: System/Servers
URL: http://www.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: avahi
Suggests: apache
Suggests: apache-mod_dav
Requires: obex-data-server >= 0.3
BuildRequires: apache
BuildRequires: libGConf2-devel
BuildRequires: libavahi-client-devel libavahi-glib-devel
BuildRequires: libglade2.0-devel
BuildRequires: dbus-glib-devel
BuildRequires: perl-XML-Parser
BuildRequires: GConf2
%description
This program enables user to share directories through Webdav or Bluetooth (over ObexFTP).

%prep
%setup -q

%build
%configure2_5x --with-httpd-version=2.2
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas desktop_gnome_file_sharing
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas desktop_gnome_file_sharing

%postun
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS
%_sysconfdir/xdg/autostart/gnome-user-share.desktop
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas
%{_bindir}/*
%{_datadir}/gnome-user-share
%_datadir/applications/gnome-user-share-properties.desktop
%_libexecdir/gnome-user-share
%_datadir/icons/hicolor/*/apps/*.*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.31-2mdv2009.0
+ Revision: 266920
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.31-1mdv2009.0
+ Revision: 192437
- new version
- update file list

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 0.22-2mdv2008.1
+ Revision: 180965
- Improve description
- Replace hard requirement on apache with suggests
- Add obex-data-server as hard dependency

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2008.1
+ Revision: 174559
- new version
- add icons

* Sat Jan 26 2008 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2008.1
+ Revision: 158372
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2008.1
+ Revision: 156328
- fix buildrequires
- new version
- update file list

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.11-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
+ Revision: 133579
- Import gnome-user-share

* Tue Mar 06 2007 Gtz Waschk <waschk@mandriva.org> 0.11-1mdv2007.1
- use more macros
- fix build
- New version 0.11

* Sun Aug 06 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2007.0
- rebuild for new dbus

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- Rebuild

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- fix preun script
- fix buildrequires
- drop patch
- New release 0.10

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9

* Wed Nov 16 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patch 1
- New release 0.8

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- update file list

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.7-1mdk
- New release 0.7

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- update patch 1
- fix buildrequires
- New release 0.6

* Tue Sep 06 2005 Gtz Waschk <waschk@mandriva.org> 0.5-4mdk
- fix deps

* Mon Aug 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-3mdk
- Fix BuildRequires

* Tue Feb 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- fix buildrequires

* Fri Feb 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- update file list
- New release 0.5

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk 
- Rebuild with latest howl

* Fri Dec 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- New release 0.4

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- add missing file
- small build patch
- update patch 0
- New release 0.3

* Sat Sep 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires

* Fri Sep 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

* Fri Sep 10 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Thu Sep 09 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

